Bug 244318 - mylar missing runtime requires on eclipse-pde
mylar missing runtime requires on eclipse-pde
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse-mylar (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 18:48 EDT by Jack Tanner
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:10:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2007-06-14 18:48:47 EDT
Description of problem:

If you install eclipse-mylar on F7 but not eclipse-pde, Mylar won't run. If you
try to update other plugins, you'll get an error that
org.eclipse.pde.junit.runtime is missing.

Version-Release number of selected component (if applicable):

# rpm -q eclipse-mylar
eclipse-mylar-2.0-0.1.M2a.1.fc7
Comment 1 Andrew Overholt 2007-06-19 11:42:41 EDT
I can't see what Mylar has that requires PDE.  I just removed eclipse-pde (and
eclipse-pde-sdk and eclipse-sdk) and it still works for me.  Can you attach the log?

The plugin verification thing is another bug due to our split install (it's an
upstream issue) but usually only manifests itself as errors in the configuration
verification and not in actual functionality.  Can you explain how exactly it's
failing?
Comment 2 Brian Powell 2008-04-25 00:10:12 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.